import request from '@/utils/request'

// 查询物料类型信息列表
export function listBaseMaterialType(query) {
  return request({
    url: '/mes/baseMaterialType/list',
    method: 'get',
    params: query
  })
}

// 查询物料类型信息详细
export function getBaseMaterialType(matrialTypeId) {
  return request({
    url: '/mes/baseMaterialType/' + matrialTypeId,
    method: 'get'
  })
}

// 新增物料类型信息
export function addBaseMaterialType(data) {
  return request({
    url: '/mes/baseMaterialType',
    method: 'post',
    data: data
  })
}

// 修改物料类型信息
export function updateBaseMaterialType(data) {
  return request({
    url: '/mes/baseMaterialType',
    method: 'put',
    data: data
  })
}

// 删除物料类型信息
export function delBaseMaterialType(matrialTypeId) {
  return request({
    url: '/mes/baseMaterialType/' + matrialTypeId,
    method: 'delete'
  })
}
